Barcode2DWithSoft.CODETYPE

com.zebra.adc.decoder

## Enum Barcode2DWithSoft.CODETYPE

- java.lang.Object
- - java.lang.Enum<Barcode2DWithSoft.CODETYPE>
  - - com.zebra.adc.decoder.Barcode2DWithSoft.CODETYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Barcode2DWithSoft.CODETYPE>
  Enclosing class:
    Barcode2DWithSoft

      public static enum Barcode2DWithSoft.CODETYPE
      extends java.lang.Enum<Barcode2DWithSoft.CODETYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AZTEC`
    `C11`
    `C128`
    `C39`
    `C93`
    `CODEBLOCK_F`
    `DATA_MATRIX`
    `GS1_DATABAR`
    `HAXIN`
    `I25`
    `MATRIX_25`
    `MAXICODE`
    `MICROPDF`
    `MSI`
    `PDF417`
    `QR_CODE`
    `STRAIGHT_25`
    `TELEPEN`
    `TRIOPTIC`
    `UPC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Barcode2DWithSoft.CODETYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Barcode2DWithSoft.CODETYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPC

          public static final Barcode2DWithSoft.CODETYPE UPC

    - #### C39

          public static final Barcode2DWithSoft.CODETYPE C39

    - #### C128

          public static final Barcode2DWithSoft.CODETYPE C128

    - #### I25

          public static final Barcode2DWithSoft.CODETYPE I25

    - #### C93

          public static final Barcode2DWithSoft.CODETYPE C93

    - #### GS1_DATABAR

          public static final Barcode2DWithSoft.CODETYPE GS1_DATABAR

    - #### MSI

          public static final Barcode2DWithSoft.CODETYPE MSI

    - #### CODEBLOCK_F

          public static final Barcode2DWithSoft.CODETYPE CODEBLOCK_F

    - #### PDF417

          public static final Barcode2DWithSoft.CODETYPE PDF417

    - #### MICROPDF

          public static final Barcode2DWithSoft.CODETYPE MICROPDF

    - #### MAXICODE

          public static final Barcode2DWithSoft.CODETYPE MAXICODE

    - #### QR_CODE

          public static final Barcode2DWithSoft.CODETYPE QR_CODE

    - #### DATA_MATRIX

          public static final Barcode2DWithSoft.CODETYPE DATA_MATRIX

    - #### AZTEC

          public static final Barcode2DWithSoft.CODETYPE AZTEC

    - #### HAXIN

          public static final Barcode2DWithSoft.CODETYPE HAXIN

    - #### MATRIX_25

          public static final Barcode2DWithSoft.CODETYPE MATRIX_25

    - #### TRIOPTIC

          public static final Barcode2DWithSoft.CODETYPE TRIOPTIC

    - #### STRAIGHT_25

          public static final Barcode2DWithSoft.CODETYPE STRAIGHT_25

    - #### TELEPEN

          public static final Barcode2DWithSoft.CODETYPE TELEPEN

    - #### C11

          public static final Barcode2DWithSoft.CODETYPE C11

  - ### Method Detail

    - #### values

          public static Barcode2DWithSoft.CODETYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Barcode2DWithSoft.CODETYPE c : Barcode2DWithSoft.CODETYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Barcode2DWithSoft.CODETYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()